Bug 530729 - system-config-dispplay broken on fedora kde
system-config-dispplay broken on fedora kde
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-24 11:39 EDT by Tony White
Modified: 2010-12-03 22:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 22:43:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Top part of abrt report (133.28 KB, image/png)
2009-10-24 11:40 EDT, Tony White
no flags Details
bottom part of abrt report (112.75 KB, image/png)
2009-10-24 11:40 EDT, Tony White
no flags Details

  None (edit)
Description Tony White 2009-10-24 11:39:32 EDT
Description of problem:
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 211, in ok
    if card.getDescription() == self.secondVideocardOptionMenu.get_menu().get_active().get_data("NAME"):
AttributeError: 'NoneType' object has no attribute 'get_data'
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 166, in ok
    lower_vrefresh, upper_vrefresh = self.second_monitor_vrefresh
ValueError: too many values to unpack

Version-Release number of selected component (if applicable):


How reproducible:
Everytime

Steps to Reproduce:
1. su -
2. system-config-display
3. set the xserver options
4. click ok
  
Actual results:
abrt pops up and says there is a bug but abrt will not send the report because it is broken, which I have reported.

Expected results:
No error, no abrt. system-config-display does it's job.

Additional info:
Intel 855GM Graphics adapter with laptop 1024 x 768 screen. vga output plugged into a HN198D Hanns-G Monitor that has 1280x1024 display resolution.
When the monitor is plugged in and the machine boots the display on the laptopscreen is 800x600 and should be 1024 x 768, which is the display resolution when the external Hanns-G monitor is not plugged in.
The correct setting for dual display for this laptop machine is dual 1024 x 768. As tsted with Windows XP.
I tried to use system-config-display as per the errata to change the resolution to try to fix the problem but it obviously failed.

The console showed :

system-config-display
/usr/share/themes/Clearlooks/gtk-2.0/gtkrc:51: Invalid symbolic color 'bg_color'
/usr/share/themes/Clearlooks/gtk-2.0/gtkrc:51: error: invalid identifier `bg_color', expected valid identifier
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 211, in ok
    if card.getDescription() == self.secondVideocardOptionMenu.get_menu().get_active().get_data("NAME"):
AttributeError: 'NoneType' object has no attribute 'get_data'
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 211, in ok
    if card.getDescription() == self.secondVideocardOptionMenu.get_menu().get_active().get_data("NAME"):
AttributeError: 'NoneType' object has no attribute 'get_data'
Traceback (most recent call last):
  File "/usr/share/system-config-display/xConfigDialog.py", line 166, in ok
    lower_vrefresh, upper_vrefresh = self.second_monitor_vrefresh
ValueError: too many values to unpack

and I had to screen print abrt because it is broken, which I will attach.
Comment 1 Tony White 2009-10-24 11:40:07 EDT
Created attachment 365953 [details]
Top part of abrt report
Comment 2 Tony White 2009-10-24 11:40:39 EDT
Created attachment 365954 [details]
bottom part of abrt report
Comment 3 Tony White 2009-10-24 11:42:07 EDT
system-config-display version : system-config-display - 2.2-1.fc12 (i686)
Comment 4 Matěj Cepl 2009-11-05 12:19:02 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 5 Tony White 2009-11-09 09:34:59 EST
Still broken. Please try it.
Comment 6 Bug Zapper 2009-11-16 09:12:02 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-11-04 05:10:27 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-12-03 22:43:00 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.